module Faker
  module Taxonomy
    extend ModuleUtils
    extend self

    def code
      TAXONOMY_CODE.rand
    end

    def type
      TAXONOMY_TYPE.rand
    end

    def classification
      TAXONOMY_CLASSIFICATION.rand
    end

    def specialization
      TAXONOMY_SPECIALIZATION.rand
    end

    # Use this method if you have a taxonomy code and need to lookup the 
    # information about that code
    def lookup(code)
      TAXONOMY.select {|t| t.code.eql?(code) }.first
    end


    class TaxonomyData
      attr_accessor :code, :type, :classification, :specialization
      def initialize(code, type, classification, specialization=nil)
        @code = code
        @type = type
        @classification = classification
        @specialization = specialization
      end
    end


    TAXONOMY = k [
      TaxonomyData.new('207XX0801X', "Allopathic & Osteopathic Physicians", "Orthopaedic Surgery", "Orthopaedic Trauma"),
      TaxonomyData.new('246QH0000X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Pathology", "Hematology"),
      TaxonomyData.new('261QE0800X', "Ambulatory Health Care Facilities", "Clinic/Center", "Endoscopy"),
      TaxonomyData.new('163WN1003X', "Nursing Service Providers", "Registered Nurse", "Nutrition Support"),
      TaxonomyData.new('3418M1130X', "Transportation Services", "Military/U.S. Coast Guard Transport", "Military or U.S. Coast Guard Ambulance, Water Transport"),
      TaxonomyData.new('211D00000X', "Podiatric Medicine & Surgery Service Providers", "Assistant, Podiatric"),
      TaxonomyData.new('225XG0600X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapist", "Gerontology"),
      TaxonomyData.new('111NS0005X', "Chiropractic Providers", "Chiropractor", "Sports Physician"),
      TaxonomyData.new('163WI0600X', "Nursing Service Providers", "Registered Nurse", "Infection Control"),
      TaxonomyData.new('246QL0901X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Pathology", "Laboratory Management, Diplomate"),
      TaxonomyData.new('2472V0600X', "Technologists, Technicians & Other Technical Service Providers", "Technician, Other", "Veterinary"),
      TaxonomyData.new('2080T0004X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Pediatric Transplant Hepatology"),
      TaxonomyData.new('208000000X', "Allopathic & Osteopathic Physicians", "Pediatrics"),
      TaxonomyData.new('364SH0200X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Home Health"),
      TaxonomyData.new('207RS0012X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Sleep Medicine"),
      TaxonomyData.new('163WE0900X', "Nursing Service Providers", "Registered Nurse", "Enterostomal Therapy"),
      TaxonomyData.new('2081S0010X', "Allopathic & Osteopathic Physicians", "Physical Medicine & Rehabilitation", "Sports Medicine"),
      TaxonomyData.new('207YX0007X', "Allopathic & Osteopathic Physicians", "Otolaryngology", "Plastic Surgery within the Head & Neck"),
      TaxonomyData.new('344600000X', "Transportation Services", "Taxi"),
      TaxonomyData.new('101YA0400X', "Behavioral Health & Social Service Providers", "Counselor", "Addiction (Substance Use Disorder)"),
      TaxonomyData.new('207QA0505X', "Allopathic & Osteopathic Physicians", "Family Medicine", "Adult Medicine"),
      TaxonomyData.new('282NC0060X', "Hospitals", "General Acute Care Hospital", "Critical Access"),
      TaxonomyData.new('2083P0011X', "Allopathic & Osteopathic Physicians", "Preventive Medicine", "Undersea and Hyperbaric Medicine"),
      TaxonomyData.new('207RH0003X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Hematology & Oncology"),
      TaxonomyData.new('251T00000X', "Agencies", "PACE Provider Organization"),
      TaxonomyData.new('363LS0200X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "School"),
      TaxonomyData.new('207QA0000X', "Allopathic & Osteopathic Physicians", "Family Medicine", "Adolescent Medicine"),
      TaxonomyData.new('246ZB0500X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other", "Biochemist"),
      TaxonomyData.new('367A00000X', "Physician Assistants & Advanced Practice Nursing Providers", "Advanced Practice Midwife"),
      TaxonomyData.new('3336N0007X', "Suppliers", "Pharmacy", "Nuclear Pharmacy"),
      TaxonomyData.new('246XC2903X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Cardiovascular", "Vascular Specialist"),
      TaxonomyData.new('2082S0105X', "Allopathic & Osteopathic Physicians", "Plastic Surgery", "Surgery of the Hand"),
      TaxonomyData.new('322D00000X', "Residential Treatment Facilities", "Residential Treatment Facility, Emotionally Disturbed Children"),
      TaxonomyData.new('103TE1000X', "Behavioral Health & Social Service Providers", "Psychologist", "Educational"),
      TaxonomyData.new('163WP0218X', "Nursing Service Providers", "Registered Nurse", "Pediatric Oncology"),
      TaxonomyData.new('163WN0002X', "Nursing Service Providers", "Registered Nurse", "Neonatal Intensive Care"),
      TaxonomyData.new('207YX0602X', "Allopathic & Osteopathic Physicians", "Otolaryngology", "Otolaryngic Allergy"),
      TaxonomyData.new('261QA0600X', "Ambulatory Health Care Facilities", "Clinic/Center", "Adult Day Care"),
      TaxonomyData.new('2084S0012X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Sleep Medicine"),
      TaxonomyData.new('246RH0600X', "Technologists, Technicians & Other Technical Service Providers", "Technician, Pathology", "Histology"),
      TaxonomyData.new('364SL0600X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Long-Term Care"),
      TaxonomyData.new('3747P1801X', "Nursing Service Related Providers", "Technician", "Personal Care Attendant"),
      TaxonomyData.new('246YC3301X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Health Info", "Coding Specialist, Hospital Based"),
      TaxonomyData.new('341600000X', "Transportation Services", "Ambulance"),
      TaxonomyData.new('207QS0010X', "Allopathic & Osteopathic Physicians", "Family Medicine", "Sports Medicine"),
      TaxonomyData.new('1223S0112X', "Dental Providers", "Dentist", "Oral and Maxillofacial Surgery"),
      TaxonomyData.new('163WD1100X', "Nursing Service Providers", "Registered Nurse", "Dialysis, Peritoneal"),
      TaxonomyData.new('261QR0206X', "Ambulatory Health Care Facilities", "Clinic/Center", "Radiology, Mammography"),
      TaxonomyData.new('261QE0002X', "Ambulatory Health Care Facilities", "Clinic/Center", "Emergency Care"),
      TaxonomyData.new('163WM1400X', "Nursing Service Providers", "Registered Nurse", "Nurse Massage Therapist (NMT)"),
      TaxonomyData.new('2080P0201X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Pediatric Allergy/Immunology"),
      TaxonomyData.new('225CA2500X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Rehabilitation Counselor", "Assistive Technology Supplier"),
      TaxonomyData.new('207N00000X', "Allopathic & Osteopathic Physicians", "Dermatology"),
      TaxonomyData.new('225XM0800X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapist", "Mental Health"),
      TaxonomyData.new('207ZI0100X', "Allopathic & Osteopathic Physicians", "Pathology", "Immunopathology"),
      TaxonomyData.new('374U00000X', "Nursing Service Related Providers", "Home Health Aide"),
      TaxonomyData.new('364SC1501X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Community Health/Public Health"),
      TaxonomyData.new('156FX1201X', "Eye and Vision Services Providers", "Technician/Technologist", "Optometric Assistant"),
      TaxonomyData.new('163WC1500X', "Nursing Service Providers", "Registered Nurse", "Community Health"),
      TaxonomyData.new('225XF0002X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapist", "Feeding, Eating & Swallowing"),
      TaxonomyData.new('323P00000X', "Residential Treatment Facilities", "Psychiatric Residential Treatment Facility"),
      TaxonomyData.new('251300000X', "Agencies", "Local Education Agency (LEA)"),
      TaxonomyData.new('246ZI1000X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other", "Illustration, Medical"),
      TaxonomyData.new('171000000X', "Other Service Providers", "Military Health Care Provider"),
      TaxonomyData.new('364SM0705X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Medical-Surgical"),
      TaxonomyData.new('122300000X', "Dental Providers", "Dentist"),
      TaxonomyData.new('2279P1005X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered", "Pulmonary Rehabilitation"),
      TaxonomyData.new('261QM1102X', "Ambulatory Health Care Facilities", "Clinic/Center", "Military Outpatient Operational (Transportable) Component"),
      TaxonomyData.new('2278P3800X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified", "Palliative/Hospice"),
      TaxonomyData.new('225CA2400X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Rehabilitation Counselor", "Assistive Technology Practitioner"),
      TaxonomyData.new('174400000X', "Other Service Providers", "Specialist"),
      TaxonomyData.new('163WG0100X', "Nursing Service Providers", "Registered Nurse", "Gastroenterology"),
      TaxonomyData.new('243U00000X', "Technologists, Technicians & Other Technical Service Providers", "Radiology Practitioner Assistant"),
      TaxonomyData.new('332BC3200X', "Suppliers", "Durable Medical Equipment & Medical Supplies", "Customized Equipment"),
      TaxonomyData.new('2084P0800X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Psychiatry"),
      TaxonomyData.new('207ZP0104X', "Allopathic & Osteopathic Physicians", "Pathology", "Chemical Pathology"),
      TaxonomyData.new('347C00000X', "Transportation Services", "Private Vehicle"),
      TaxonomyData.new('2279C0205X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered", "Critical Care"),
      TaxonomyData.new('207YX0901X', "Allopathic & Osteopathic Physicians", "Otolaryngology", "Otology & Neurotology"),
      TaxonomyData.new('207SG0205X', "Allopathic & Osteopathic Physicians", "Medical Genetics", "Ph.D. Medical Genetics"),
      TaxonomyData.new('282NW0100X', "Hospitals", "General Acute Care Hospital", "Women"),
      TaxonomyData.new('207T00000X', "Allopathic & Osteopathic Physicians", "Neurological Surgery"),
      TaxonomyData.new('207Y00000X', "Allopathic & Osteopathic Physicians", "Otolaryngology"),
      TaxonomyData.new('364SP0808X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Psych/Mental Health"),
      TaxonomyData.new('225A00000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Music Therapist"),
      TaxonomyData.new('163WX0003X', "Nursing Service Providers", "Registered Nurse", "Obstetric, Inpatient"),
      TaxonomyData.new('156FX1700X', "Eye and Vision Services Providers", "Technician/Technologist", "Ocularist"),
      TaxonomyData.new('246W00000X', "Technologists, Technicians & Other Technical Service Providers", "Technician, Cardiology"),
      TaxonomyData.new('133VN1004X', "Dietary & Nutritional Service Providers", "Dietitian, Registered", "Nutrition, Pediatric"),
      TaxonomyData.new('111NT0100X', "Chiropractic Providers", "Chiropractor", "Thermography"),
      TaxonomyData.new('251K00000X', "Agencies", "Public Health or Welfare"),
      TaxonomyData.new('2085R0204X', "Allopathic & Osteopathic Physicians", "Radiology", "Vascular & Interventional Radiology"),
      TaxonomyData.new('207QA0401X', "Allopathic & Osteopathic Physicians", "Family Medicine", "Addiction Medicine"),
      TaxonomyData.new('291U00000X', "Laboratories", "Clinical Medical Laboratory"),
      TaxonomyData.new('227800000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified"),
      TaxonomyData.new('111NR0400X', "Chiropractic Providers", "Chiropractor", "Rehabilitation"),
      TaxonomyData.new('103TP0814X', "Behavioral Health & Social Service Providers", "Psychologist", "Psychoanalysis"),
      TaxonomyData.new('111NN1001X', "Chiropractic Providers", "Chiropractor", "Nutrition"),
      TaxonomyData.new('2084P0804X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Child & Adolescent Psychiatry"),
      TaxonomyData.new('163WX0200X', "Nursing Service Providers", "Registered Nurse", "Oncology"),
      TaxonomyData.new('1223D0001X', "Dental Providers", "Dentist", "Dental Public Health"),
      TaxonomyData.new('163WG0600X', "Nursing Service Providers", "Registered Nurse", "Gerontology"),
      TaxonomyData.new('163WC1400X', "Nursing Service Providers", "Registered Nurse", "College Health"),
      TaxonomyData.new('224ZL0004X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapy Assistant", "Low Vision"),
      TaxonomyData.new('103TB0200X', "Behavioral Health & Social Service Providers", "Psychologist", "Cognitive & Behavioral"),
      TaxonomyData.new('132700000X', "Dietary & Nutritional Service Providers", "Dietary Manager"),
      TaxonomyData.new('2471V0105X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist", "Vascular Sonography"),
      TaxonomyData.new('183700000X', "Pharmacy Service Providers", "Pharmacy Technician"),
      TaxonomyData.new('364SP0813X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Psych/Mental Health, Geropsychiatric"),
      TaxonomyData.new('2080S0012X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Sleep Medicine"),
      TaxonomyData.new('2251N0400X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Physical Therapist", "Neurology"),
      TaxonomyData.new('207PS0010X', "Allopathic & Osteopathic Physicians", "Emergency Medicine", "Sports Medicine"),
      TaxonomyData.new('2084P2900X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Pain Medicine"),
      TaxonomyData.new('246ZE0600X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other", "Electroneurodiagnostic"),
      TaxonomyData.new('261QX0200X', "Ambulatory Health Care Facilities", "Clinic/Center", "Oncology"),
      TaxonomyData.new('261QC1500X', "Ambulatory Health Care Facilities", "Clinic/Center", "Community Health"),
      TaxonomyData.new('2083P0901X', "Allopathic & Osteopathic Physicians", "Preventive Medicine", "Public Health & General Preventive Medicine"),
      TaxonomyData.new('364SI0800X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Informatics"),
      TaxonomyData.new('291900000X', "Laboratories", "Military Clinical Medical Laboratory"),
      TaxonomyData.new('103TF0200X', "Behavioral Health & Social Service Providers", "Psychologist", "Forensic"),
      TaxonomyData.new('209800000X', "Allopathic & Osteopathic Physicians", "Legal Medicine"),
      TaxonomyData.new('376G00000X', "Nursing Service Related Providers", "Nursing Home Administrator"),
      TaxonomyData.new('207RP1001X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Pulmonary Disease"),
      TaxonomyData.new('332U00000X', "Suppliers", "Home Delivered Meals"),
      TaxonomyData.new('163WX0106X', "Nursing Service Providers", "Registered Nurse", "Occupational Health"),
      TaxonomyData.new('364SS0200X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "School"),
      TaxonomyData.new('207LP3000X', "Allopathic & Osteopathic Physicians", "Anesthesiology", "Pediatric Anesthesiology"),
      TaxonomyData.new('225700000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Massage Therapist"),
      TaxonomyData.new('282NR1301X', "Hospitals", "General Acute Care Hospital", "Rural"),
      TaxonomyData.new('2083S0010X', "Allopathic & Osteopathic Physicians", "Preventive Medicine", "Sports Medicine"),
      TaxonomyData.new('3140N1450X', "Nursing & Custodial Care Facilities", "Skilled Nursing Facility", "Nursing Care, Pediatric"),
      TaxonomyData.new('3336S0011X', "Suppliers", "Pharmacy", "Specialty Pharmacy"),
      TaxonomyData.new('275N00000X', "Hospital Units", "Medicare Defined Swing Bed Unit"),
      TaxonomyData.new('385HR2055X', "Respite Care Facility", "Respite Care", "Respite Care, Mental Illness, Child"),
      TaxonomyData.new('207ZP0101X', "Allopathic & Osteopathic Physicians", "Pathology", "Anatomic Pathology"),
      TaxonomyData.new('1835X0200X', "Pharmacy Service Providers", "Pharmacist", "Oncology"),
      TaxonomyData.new('2080P0206X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Pediatric Gastroenterology"),
      TaxonomyData.new('1223P0106X', "Dental Providers", "Dentist", "Oral and Maxillofacial Pathology"),
      TaxonomyData.new('2080P0210X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Pediatric Nephrology"),
      TaxonomyData.new('2278G0305X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified", "Geriatric Care"),
      TaxonomyData.new('207LC0200X', "Allopathic & Osteopathic Physicians", "Anesthesiology", "Critical Care Medicine"),
      TaxonomyData.new('315P00000X', "Nursing & Custodial Care Facilities", "Intermediate Care Facility, Mentally Retarded"),
      TaxonomyData.new('364SA2100X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Acute Care"),
      TaxonomyData.new('332S00000X', "Suppliers", "HearingAid Equipment"),
      TaxonomyData.new('2471B0102X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist", "Bone Densitometry"),
      TaxonomyData.new('163WG0000X', "Nursing Service Providers", "Registered Nurse", "General Practice"),
      TaxonomyData.new('225100000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Physical Therapist"),
      TaxonomyData.new('364SN0000X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Neonatal"),
      TaxonomyData.new('2355S0801X', "Speech, Language and Hearing Service Providers", "Specialist/Technologist", "Speech-Language Assistant"),
      TaxonomyData.new('2279P3800X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered", "Palliative/Hospice"),
      TaxonomyData.new('302F00000X', "Managed Care Organizations", "Exclusive Provider Organization"),
      TaxonomyData.new('208C00000X', "Allopathic & Osteopathic Physicians", "Colon & Rectal Surgery"),
      TaxonomyData.new('207QH0002X', "Allopathic & Osteopathic Physicians", "Family Medicine", "Hospice and Palliative Medicine"),
      TaxonomyData.new('1835G0303X', "Pharmacy Service Providers", "Pharmacist", "Geriatric"),
      TaxonomyData.new('213ER0200X', "Podiatric Medicine & Surgery Service Providers", "Podiatrist", "Radiology"),
      TaxonomyData.new('246Z00000X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other"),
      TaxonomyData.new('126800000X', "Dental Providers", "Dental Assistant"),
      TaxonomyData.new('2080N0001X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Neonatal-Perinatal Medicine"),
      TaxonomyData.new('364SE1400X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Ethics"),
      TaxonomyData.new('152WP0200X', "Eye and Vision Services Providers", "Optometrist", "Pediatrics"),
      TaxonomyData.new('213ES0103X', "Podiatric Medicine & Surgery Service Providers", "Podiatrist", "Foot & Ankle Surgery"),
      TaxonomyData.new('333300000X', "Suppliers", "Emergency Response System Companies"),
      TaxonomyData.new('2251X0800X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Physical Therapist", "Orthopedic"),
      TaxonomyData.new('332BX2000X', "Suppliers", "Durable Medical Equipment & Medical Supplies", "Oxygen Equipment & Supplies"),
      TaxonomyData.new('2085R0205X', "Allopathic & Osteopathic Physicians", "Radiology", "Radiological Physics"),
      TaxonomyData.new('207ZP0213X', "Allopathic & Osteopathic Physicians", "Pathology", "Pediatric Pathology"),
      TaxonomyData.new('2279G1100X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered", "General Care"),
      TaxonomyData.new('163WP0808X', "Nursing Service Providers", "Registered Nurse", "Psych/Mental Health"),
      TaxonomyData.new('207YS0123X', "Allopathic & Osteopathic Physicians", "Otolaryngology", "Facial Plastic Surgery"),
      TaxonomyData.new('237600000X', "Speech, Language and Hearing Service Providers", "Audiologist-Hearing Aid Fitter"),
      TaxonomyData.new('363AS0400X', "Physician Assistants & Advanced Practice Nursing Providers", "Physician Assistant", "Surgical"),
      TaxonomyData.new('207ZH0000X', "Allopathic & Osteopathic Physicians", "Pathology", "Hematology"),
      TaxonomyData.new('246X00000X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Cardiovascular"),
      TaxonomyData.new('363LN0000X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Neonatal"),
      TaxonomyData.new('163WD0400X', "Nursing Service Providers", "Registered Nurse", "Diabetes Educator"),
      TaxonomyData.new('156FX1100X', "Eye and Vision Services Providers", "Technician/Technologist", "Ophthalmic"),
      TaxonomyData.new('103TM1700X', "Behavioral Health & Social Service Providers", "Psychologist", "Men & Masculinity"),
      TaxonomyData.new('225XR0403X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapist", "Driving and Community Mobility"),
      TaxonomyData.new('207RA0401X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Addiction Medicine"),
      TaxonomyData.new('2085B0100X', "Allopathic & Osteopathic Physicians", "Radiology", "Body Imaging"),
      TaxonomyData.new('207R00000X', "Allopathic & Osteopathic Physicians", "Internal Medicine"),
      TaxonomyData.new('126900000X', "Dental Providers", "Dental Laboratory Technician"),
      TaxonomyData.new('207RA0000X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Adolescent Medicine"),
      TaxonomyData.new('103TA0400X', "Behavioral Health & Social Service Providers", "Psychologist", "Addiction (Substance Use Disorder)"),
      TaxonomyData.new('2085R0202X', "Allopathic & Osteopathic Physicians", "Radiology", "Diagnostic Radiology"),
      TaxonomyData.new('3245S0500X', "Residential Treatment Facilities", "Substance Abuse Rehabilitation Facility", "Substance Abuse Treatment, Children"),
      TaxonomyData.new('163WH1000X', "Nursing Service Providers", "Registered Nurse", "Hospice"),
      TaxonomyData.new('156F00000X', "Eye and Vision Services Providers", "Technician/Technologist"),
      TaxonomyData.new('374T00000X', "Nursing Service Related Providers", "Religious Nonmedical Nursing Personnel"),
      TaxonomyData.new('207VC0200X', "Allopathic & Osteopathic Physicians", "Obstetrics & Gynecology", "Critical Care Medicine"),
      TaxonomyData.new('251C00000X', "Agencies", "Day Training, Developmentally Disabled Services"),
      TaxonomyData.new('156FX1800X', "Eye and Vision Services Providers", "Technician/Technologist", "Optician"),
      TaxonomyData.new('207ZC0006X', "Allopathic & Osteopathic Physicians", "Pathology", "Clinical Pathology"),
      TaxonomyData.new('175M00000X', "Other Service Providers", "Midwife, Lay"),
      TaxonomyData.new('261QM2500X', "Ambulatory Health Care Facilities", "Clinic/Center", "Medical Specialty"),
      TaxonomyData.new('2084H0002X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Hospice and Palliative Medicine"),
      TaxonomyData.new('103TE1100X', "Behavioral Health & Social Service Providers", "Psychologist", "Exercise & Sports"),
      TaxonomyData.new('332H00000X', "Suppliers", "Eyewear Supplier (Equipment, not the service)"),
      TaxonomyData.new('207RB0002X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Bariatric Medicine"),
      TaxonomyData.new('207UN0901X', "Allopathic & Osteopathic Physicians", "Nuclear Medicine", "Nuclear Cardiology"),
      TaxonomyData.new('287300000X', "Hospitals", "Christian Science Sanitorium"),
      TaxonomyData.new('2278P4000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified", "Patient Transport"),
      TaxonomyData.new('1835N1003X', "Pharmacy Service Providers", "Pharmacist", "Nutrition Support"),
      TaxonomyData.new('335V00000X', "Suppliers", "Portable X-Ray Supplier"),
      TaxonomyData.new('163WN0800X', "Nursing Service Providers", "Registered Nurse", "Neuroscience"),
      TaxonomyData.new('364SP0807X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Psych/Mental Health, Child & Adolescent"),
      TaxonomyData.new('253J00000X', "Agencies", "Foster Care Agency"),
      TaxonomyData.new('163WC3500X', "Nursing Service Providers", "Registered Nurse", "Cardiac Rehabilitation"),
      TaxonomyData.new('2470A2800X', "Technologists, Technicians & Other Technical Service Providers", "Technician, Health Information", "Assistant Record Technician"),
      TaxonomyData.new('207RT0003X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Transplant Hepatology"),
      TaxonomyData.new('1223E0200X', "Dental Providers", "Dentist", "Endodontics"),
      TaxonomyData.new('225XH1200X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapist", "Hand"),
      TaxonomyData.new('156FX1900X', "Eye and Vision Services Providers", "Technician/Technologist", "Orthoptist"),
      TaxonomyData.new('261QA1903X', "Ambulatory Health Care Facilities", "Clinic/Center", "Ambulatory Surgical"),
      TaxonomyData.new('261QD1600X', "Ambulatory Health Care Facilities", "Clinic/Center", "Developmental Disabilities"),
      TaxonomyData.new('1223X0008X', "Dental Providers", "Dentist", "Oral and Maxillofacial Radiology"),
      TaxonomyData.new('173F00000X', "Other Service Providers", "Sleep Specialist, PhD"),
      TaxonomyData.new('163WX1100X', "Nursing Service Providers", "Registered Nurse", "Ophthalmic"),
      TaxonomyData.new('102X00000X', "Behavioral Health & Social Service Providers", "Poetry Therapist"),
      TaxonomyData.new('364ST0500X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Transplantation"),
      TaxonomyData.new('103TP2701X', "Behavioral Health & Social Service Providers", "Psychologist", "Group Psychotherapy"),
      TaxonomyData.new('2279P4000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered", "Patient Transport"),
      TaxonomyData.new('261QR0207X', "Ambulatory Health Care Facilities", "Clinic/Center", "Radiology, Mobile Mammography"),
      TaxonomyData.new('364SX0204X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Oncology, Pediatrics"),
      TaxonomyData.new('283XC2000X', "Hospitals", "Rehabilitation Hospital", "Children"),
      TaxonomyData.new('208600000X', "Allopathic & Osteopathic Physicians", "Surgery"),
      TaxonomyData.new('273100000X', "Hospital Units", "Epilepsy Unit"),
      TaxonomyData.new('207ZP0007X', "Allopathic & Osteopathic Physicians", "Pathology", "Molecular Genetic Pathology"),
      TaxonomyData.new('261QS1200X', "Ambulatory Health Care Facilities", "Clinic/Center", "Sleep Disorder Diagnostic"),
      TaxonomyData.new('163WX0002X', "Nursing Service Providers", "Registered Nurse", "Obstetric, High-Risk"),
      TaxonomyData.new('364SP0811X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Psych/Mental Health, Chronically Ill"),
      TaxonomyData.new('364SP0810X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Psych/Mental Health, Child & Family"),
      TaxonomyData.new('207UN0903X', "Allopathic & Osteopathic Physicians", "Nuclear Medicine", "In Vivo & In Vitro Nuclear Medicine"),
      TaxonomyData.new('163WA0400X', "Nursing Service Providers", "Registered Nurse", "Addiction (Substance Use Disorder)"),
      TaxonomyData.new('207LA0401X', "Allopathic & Osteopathic Physicians", "Anesthesiology", "Addiction Medicine"),
      TaxonomyData.new('372500000X', "Nursing Service Related Providers", "Chore Provider"),
      TaxonomyData.new('315D00000X', "Nursing & Custodial Care Facilities", "Hospice, Inpatient"),
      TaxonomyData.new('207V00000X', "Allopathic & Osteopathic Physicians", "Obstetrics & Gynecology"),
      TaxonomyData.new('2472B0301X', "Technologists, Technicians & Other Technical Service Providers", "Technician, Other", "Biomedical Engineering"),
      TaxonomyData.new('2279E1000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered", "Educational"),
      TaxonomyData.new('225XP0200X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapist", "Pediatrics"),
      TaxonomyData.new('385H00000X', "Respite Care Facility", "Respite Care"),
      TaxonomyData.new('363LP2300X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Primary Care"),
      TaxonomyData.new('174MM1900X', "Other Service Providers", "Veterinarian", "Medical Research"),
      TaxonomyData.new('229N00000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Anaplastologist"),
      TaxonomyData.new('225CX0006X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Rehabilitation Counselor", "Orientation and Mobility Training Provider"),
      TaxonomyData.new('2471M1202X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist", "Magnetic Resonance Imaging"),
      TaxonomyData.new('333600000X', "Suppliers", "Pharmacy"),
      TaxonomyData.new('261QR0404X', "Ambulatory Health Care Facilities", "Clinic/Center", "Rehabilitation, Cardiac Facilities"),
      TaxonomyData.new('261QX0100X', "Ambulatory Health Care Facilities", "Clinic/Center", "Occupational Medicine"),
      TaxonomyData.new('261QP2300X', "Ambulatory Health Care Facilities", "Clinic/Center", "Primary Care"),
      TaxonomyData.new('246ZE0500X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other", "EEG"),
      TaxonomyData.new('246ZB0301X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other", "Biomedical Engineering"),
      TaxonomyData.new('246QC2700X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Pathology", "Cytotechnology"),
      TaxonomyData.new('2086X0206X', "Allopathic & Osteopathic Physicians", "Surgery", "Surgical Oncology"),
      TaxonomyData.new('335U00000X', "Suppliers", "Organ Procurement Organization"),
      TaxonomyData.new('3104A0630X', "Nursing & Custodial Care Facilities", "Assisted Living Facility", "Assisted Living, Behavioral Disturbances"),
      TaxonomyData.new('136A00000X', "Dietary & Nutritional Service Providers", "Dietetic Technician, Registered"),
      TaxonomyData.new('103TR0400X', "Behavioral Health & Social Service Providers", "Psychologist", "Rehabilitation"),
      TaxonomyData.new('207XS0106X', "Allopathic & Osteopathic Physicians", "Orthopaedic Surgery", "Hand Surgery"),
      TaxonomyData.new('320800000X', "Residential Treatment Facilities", "Community Based Residential Treatment Facility, Mental Illness"),
      TaxonomyData.new('2279H0200X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered", "Home Health"),
      TaxonomyData.new('347D00000X', "Transportation Services", "Train"),
      TaxonomyData.new('364SE0003X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Emergency"),
      TaxonomyData.new('222Q00000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Developmental Therapist"),
      TaxonomyData.new('261QG0250X', "Ambulatory Health Care Facilities", "Clinic/Center", "Genetics"),
      TaxonomyData.new('363LP0200X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Pediatrics"),
      TaxonomyData.new('332BN1400X', "Suppliers", "Durable Medical Equipment & Medical Supplies", "Nursing Facility Supplies"),
      TaxonomyData.new('273Y00000X', "Hospital Units", "Rehabilitation Unit"),
      TaxonomyData.new('207XX0004X', "Allopathic & Osteopathic Physicians", "Orthopaedic Surgery", "Foot and Ankle Surgery"),
      TaxonomyData.new('207P00000X', "Allopathic & Osteopathic Physicians", "Emergency Medicine"),
      TaxonomyData.new('1744R1102X', "Other Service Providers", "Specialist", "Research Study"),
      TaxonomyData.new('2080P0214X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Pediatric Pulmonology"),
      TaxonomyData.new('213EP0504X', "Podiatric Medicine & Surgery Service Providers", "Podiatrist", "Public Medicine"),
      TaxonomyData.new('261QC1800X', "Ambulatory Health Care Facilities", "Clinic/Center", "Corporate Health"),
      TaxonomyData.new('2471R0002X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist", "Radiation Therapy"),
      TaxonomyData.new('2279P1004X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered", "Pulmonary Diagnostics"),
      TaxonomyData.new('207L00000X', "Allopathic & Osteopathic Physicians", "Anesthesiology"),
      TaxonomyData.new('261QR1300X', "Ambulatory Health Care Facilities", "Clinic/Center", "Rural Health"),
      TaxonomyData.new('237700000X', "Speech, Language and Hearing Service Providers", "Hearing Instrument Specialist"),
      TaxonomyData.new('2084N0008X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Neuromuscular Medicine"),
      TaxonomyData.new('2279G0305X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered", "Geriatric Care"),
      TaxonomyData.new('2086S0127X', "Allopathic & Osteopathic Physicians", "Surgery", "Trauma Surgery"),
      TaxonomyData.new('363LA2100X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Acute Care"),
      TaxonomyData.new('320600000X', "Residential Treatment Facilities", "Residential Treatment Facility, Mental Retardation and/or Developmental Disabilities"),
      TaxonomyData.new('111N00000X', "Chiropractic Providers", "Chiropractor"),
      TaxonomyData.new('1223P0221X', "Dental Providers", "Dentist", "Pediatric Dentistry"),
      TaxonomyData.new('103G00000X', "Behavioral Health & Social Service Providers", "Clinical Neuropsychologist"),
      TaxonomyData.new('2084S0010X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Sports Medicine"),
      TaxonomyData.new('261QF0400X', "Ambulatory Health Care Facilities", "Clinic/Center", "Federally Qualified Health Center (FQHC)"),
      TaxonomyData.new('103TP0016X', "Behavioral Health & Social Service Providers", "Psychologist", "Prescribing (Medical)"),
      TaxonomyData.new('1710I1002X', "Other Service Providers", "Military Health Care Provider", "Independent Duty Corpsman"),
      TaxonomyData.new('176B00000X', "Other Service Providers", "Midwife"),
      TaxonomyData.new('324500000X', "Residential Treatment Facilities", "Substance Abuse Rehabilitation Facility"),
      TaxonomyData.new('101Y00000X', "Behavioral Health & Social Service Providers", "Counselor"),
      TaxonomyData.new('207ZC0500X', "Allopathic & Osteopathic Physicians", "Pathology", "Cytopathology"),
      TaxonomyData.new('364SP2800X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Perioperative"),
      TaxonomyData.new('385HR2065X', "Respite Care Facility", "Respite Care", "Respite Care, Physical Disabilities, Child"),
      TaxonomyData.new('163WS0121X', "Nursing Service Providers", "Registered Nurse", "Plastic Surgery"),
      TaxonomyData.new('207VM0101X', "Allopathic & Osteopathic Physicians", "Obstetrics & Gynecology", "Maternal & Fetal Medicine"),
      TaxonomyData.new('163WX0800X', "Nursing Service Providers", "Registered Nurse", "Orthopedic"),
      TaxonomyData.new('311Z00000X', "Nursing & Custodial Care Facilities", "Custodial Care Facility"),
      TaxonomyData.new('246R00000X', "Technologists, Technicians & Other Technical Service Providers", "Technician, Pathology"),
      TaxonomyData.new('2086S0129X', "Allopathic & Osteopathic Physicians", "Surgery", "Vascular Surgery"),
      TaxonomyData.new('3336C0002X', "Suppliers", "Pharmacy", "Clinic Pharmacy"),
      TaxonomyData.new('247200000X', "Technologists, Technicians & Other Technical Service Providers", "Technician, Other"),
      TaxonomyData.new('2251E1200X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Physical Therapist", "Ergonomics"),
      TaxonomyData.new('2471C1101X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist", "Cardiovascular-Interventional Technology"),
      TaxonomyData.new('251J00000X', "Agencies", "Nursing Care"),
      TaxonomyData.new('207QB0002X', "Allopathic & Osteopathic Physicians", "Family Medicine", "Bariatric Medicine"),
      TaxonomyData.new('207XS0114X', "Allopathic & Osteopathic Physicians", "Orthopaedic Surgery", "Adult Reconstructive Orthopaedic Surgery"),
      TaxonomyData.new('207RR0500X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Rheumatology"),
      TaxonomyData.new('1744G0900X', "Other Service Providers", "Specialist", "Graphics Designer"),
      TaxonomyData.new('247ZC0005X', "Technologists, Technicians & Other Technical Service Providers", "Pathology", "Clinical Laboratory Director, Non-physician"),
      TaxonomyData.new('363LC0200X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Critical Care Medicine"),
      TaxonomyData.new('364SP0809X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Psych/Mental Health, Adult"),
      TaxonomyData.new('2471C3401X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist", "Computed Tomography"),
      TaxonomyData.new('174M00000X', "Other Service Providers", "Veterinarian"),
      TaxonomyData.new('261QS1000X', "Ambulatory Health Care Facilities", "Clinic/Center", "Student Health"),
      TaxonomyData.new('224ZF0002X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapy Assistant", "Feeding, Eating & Swallowing"),
      TaxonomyData.new('207PP0204X', "Allopathic & Osteopathic Physicians", "Emergency Medicine", "Pediatric Emergency Medicine"),
      TaxonomyData.new('156FX1101X', "Eye and Vision Services Providers", "Technician/Technologist", "Ophthalmic Assistant"),
      TaxonomyData.new('207XP3100X', "Allopathic & Osteopathic Physicians", "Orthopaedic Surgery", "Pediatric Orthopaedic Surgery"),
      TaxonomyData.new('163WP2201X', "Nursing Service Providers", "Registered Nurse", "Ambulatory Care"),
      TaxonomyData.new('2255A2300X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Specialist/Technologist", "Athletic Trainer"),
      TaxonomyData.new('2080H0002X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Hospice and Palliative Medicine"),
      TaxonomyData.new('207VG0400X', "Allopathic & Osteopathic Physicians", "Obstetrics & Gynecology", "Gynecology"),
      TaxonomyData.new('2471Q0001X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist", "Quality Management"),
      TaxonomyData.new('261QH0100X', "Ambulatory Health Care Facilities", "Clinic/Center", "Health Service"),
      TaxonomyData.new('2083X0100X', "Allopathic & Osteopathic Physicians", "Preventive Medicine", "Occupational Medicine"),
      TaxonomyData.new('246RP1900X', "Technologists, Technicians & Other Technical Service Providers", "Technician, Pathology", "Phlebotomy"),
      TaxonomyData.new('101YM0800X', "Behavioral Health & Social Service Providers", "Counselor", "Mental Health"),
      TaxonomyData.new('207RG0100X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Gastroenterology"),
      TaxonomyData.new('163WL0100X', "Nursing Service Providers", "Registered Nurse", "Lactation Consultant"),
      TaxonomyData.new('261QB0400X', "Ambulatory Health Care Facilities", "Clinic/Center", "Birthing"),
      TaxonomyData.new('363LP0222X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Pediatrics, Critical Care"),
      TaxonomyData.new('152WC0802X', "Eye and Vision Services Providers", "Optometrist", "Corneal and Contact Management"),
      TaxonomyData.new('2278E0002X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified", "Emergency Care"),
      TaxonomyData.new('2355A2700X', "Speech, Language and Hearing Service Providers", "Specialist/Technologist", "Audiology Assistant"),
      TaxonomyData.new('208U00000X', "Allopathic & Osteopathic Physicians", "Clinical Pharmacology"),
      TaxonomyData.new('213ES0000X', "Podiatric Medicine & Surgery Service Providers", "Podiatrist", "Sports Medicine"),
      TaxonomyData.new('193400000X', "Group", "Single Specialty"),
      TaxonomyData.new('2085N0700X', "Allopathic & Osteopathic Physicians", "Radiology", "Neuroradiology"),
      TaxonomyData.new('332800000X', "Suppliers", "Indian Health Service/Tribal/Urban Indian Health (I/T/U) Pharmacy"),
      TaxonomyData.new('156FC0801X', "Eye and Vision Services Providers", "Technician/Technologist", "Contact Lens Fitter"),
      TaxonomyData.new('207NP0225X', "Allopathic & Osteopathic Physicians", "Dermatology", "Pediatric Dermatology"),
      TaxonomyData.new('1835P0018X', "Pharmacy Service Providers", "Pharmacist", "Pharmacist Clinician (PhC)/ Clinical Pharmacy Specialist"),
      TaxonomyData.new('2251H1300X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Physical Therapist", "Human Factors"),
      TaxonomyData.new('284300000X', "Hospitals", "Special Hospital"),
      TaxonomyData.new('177F00000X', "Other Service Providers", "Lodging"),
      TaxonomyData.new('172V00000X', "Other Service Providers", "Community Health Worker"),
      TaxonomyData.new('246ZN0300X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other", "Nephrology"),
      TaxonomyData.new('207VH0002X', "Allopathic & Osteopathic Physicians", "Obstetrics & Gynecology", "Hospice and Palliative Medicine"),
      TaxonomyData.new('175L00000X', "Other Service Providers", "Homeopath"),
      TaxonomyData.new('364SX0106X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Occupational Health"),
      TaxonomyData.new('3104A0625X', "Nursing & Custodial Care Facilities", "Assisted Living Facility", "Assisted Living, Mental Illness"),
      TaxonomyData.new('207PE0004X', "Allopathic & Osteopathic Physicians", "Emergency Medicine", "Emergency Medical Services"),
      TaxonomyData.new('213EG0000X', "Podiatric Medicine & Surgery Service Providers", "Podiatrist", "General Practice"),
      TaxonomyData.new('293D00000X', "Laboratories", "Physiological Laboratory"),
      TaxonomyData.new('363LC1500X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Community Health"),
      TaxonomyData.new('225C00000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Rehabilitation Counselor"),
      TaxonomyData.new('1223P0700X', "Dental Providers", "Dentist", "Prosthodontics"),
      TaxonomyData.new('364SC0200X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Critical Care Medicine"),
      TaxonomyData.new('227900000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered"),
      TaxonomyData.new('103TH0100X', "Behavioral Health & Social Service Providers", "Psychologist", "Health Service"),
      TaxonomyData.new('163WP0200X', "Nursing Service Providers", "Registered Nurse", "Pediatrics"),
      TaxonomyData.new('261QH0700X', "Ambulatory Health Care Facilities", "Clinic/Center", "Hearing and Speech"),
      TaxonomyData.new('363A00000X', "Physician Assistants & Advanced Practice Nursing Providers", "Physician Assistant"),
      TaxonomyData.new('172M00000X', "Other Service Providers", "Mechanotherapist"),
      TaxonomyData.new('207RI0008X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Hepatology"),
      TaxonomyData.new('281P00000X', "Hospitals", "Chronic Disease Hospital"),
      TaxonomyData.new('261QM1000X', "Ambulatory Health Care Facilities", "Clinic/Center", "Migrant Health"),
      TaxonomyData.new('207RA0201X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Allergy & Immunology"),
      TaxonomyData.new('251S00000X', "Agencies", "Community/Behavioral Health"),
      TaxonomyData.new('122400000X', "Dental Providers", "Denturist"),
      TaxonomyData.new('246XS1301X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Cardiovascular", "Sonography"),
      TaxonomyData.new('163WR1000X', "Nursing Service Providers", "Registered Nurse", "Reproductive Endocrinology/Infertility"),
      TaxonomyData.new('2085P0229X', "Allopathic & Osteopathic Physicians", "Radiology", "Pediatric Radiology"),
      TaxonomyData.new('2255R0406X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Specialist/Technologist", "Rehabilitation, Blind"),
      TaxonomyData.new('374K00000X', "Nursing Service Related Providers", "Religious Nonmedical Practitioner"),
      TaxonomyData.new('207RI0011X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Interventional Cardiology"),
      TaxonomyData.new('363LW0102X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Women's Health"),
      TaxonomyData.new('2086S0102X', "Allopathic & Osteopathic Physicians", "Surgery", "Surgical Critical Care"),
      TaxonomyData.new('163WW0101X', "Nursing Service Providers", "Registered Nurse", "Women's Health Care, Ambulatory"),
      TaxonomyData.new('374700000X', "Nursing Service Related Providers", "Technician"),
      TaxonomyData.new('364SP1700X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Perinatal"),
      TaxonomyData.new('146D00000X', "Emergency Medical Service Providers", "Personal Emergency Response Attendant"),
      TaxonomyData.new('313M00000X', "Nursing & Custodial Care Facilities", "Nursing Facility/Intermediate Care Facility"),
      TaxonomyData.new('171WH0202X', "Other Service Providers", "Contractor", "Home Modifications"),
      TaxonomyData.new('363LG0600X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Gerontology"),
      TaxonomyData.new('2080A0000X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Adolescent Medicine"),
      TaxonomyData.new('235Z00000X', "Speech, Language and Hearing Service Providers", "Speech-Language Pathologist"),
      TaxonomyData.new('2088P0231X', "Allopathic & Osteopathic Physicians", "Urology", "Pediatric Urology"),
      TaxonomyData.new('261QM1100X', "Ambulatory Health Care Facilities", "Clinic/Center", "Military/U.S. Coast Guard Outpatient"),
      TaxonomyData.new('176P00000X', "Other Service Providers", "Funeral Director"),
      TaxonomyData.new('364SW0102X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Women's Health"),
      TaxonomyData.new('133VN1006X', "Dietary & Nutritional Service Providers", "Dietitian, Registered", "Nutrition, Metabolic"),
      TaxonomyData.new('224P00000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Prosthetist"),
      TaxonomyData.new('106H00000X', "Behavioral Health & Social Service Providers", "Marriage & Family Therapist"),
      TaxonomyData.new('163WC2100X', "Nursing Service Providers", "Registered Nurse", "Continence Care"),
      TaxonomyData.new('101YS0200X', "Behavioral Health & Social Service Providers", "Counselor", "School"),
      TaxonomyData.new('367H00000X', "Physician Assistants & Advanced Practice Nursing Providers", "Anesthesiologist Assistant"),
      TaxonomyData.new('3336L0003X', "Suppliers", "Pharmacy", "Long Term Care Pharmacy"),
      TaxonomyData.new('373H00000X', "Nursing Service Related Providers", "Day Training/Habilitation Specialist"),
      TaxonomyData.new('1835P1200X', "Pharmacy Service Providers", "Pharmacist", "Pharmacotherapy"),
      TaxonomyData.new('163WU0100X', "Nursing Service Providers", "Registered Nurse", "Urology"),
      TaxonomyData.new('2083P0500X', "Allopathic & Osteopathic Physicians", "Preventive Medicine", "Preventive Medicine/Occupational Environmental Medicine"),
      TaxonomyData.new('246QH0401X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Pathology", "Hemapheresis Practitioner"),
      TaxonomyData.new('225500000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Specialist/Technologist"),
      TaxonomyData.new('261QX0203X', "Ambulatory Health Care Facilities", "Clinic/Center", "Oncology, Radiation"),
      TaxonomyData.new('231H00000X', "Speech, Language and Hearing Service Providers", "Audiologist"),
      TaxonomyData.new('344800000X', "Transportation Services", "Air Carrier"),
      TaxonomyData.new('261QM0855X', "Ambulatory Health Care Facilities", "Clinic/Center", "Adolescent and Children Mental Health"),
      TaxonomyData.new('103TC1900X', "Behavioral Health & Social Service Providers", "Psychologist", "Counseling"),
      TaxonomyData.new('164W00000X', "Nursing Service Providers", "Licensed Practical Nurse"),
      TaxonomyData.new('2081H0002X', "Allopathic & Osteopathic Physicians", "Physical Medicine & Rehabilitation", "Hospice and Palliative Medicine"),
      TaxonomyData.new('246YR1600X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Health Info", "Registered Record Administrator"),
      TaxonomyData.new('261QA3000X', "Ambulatory Health Care Facilities", "Clinic/Center", "Augmentative Communication"),
      TaxonomyData.new('1223X0400X', "Dental Providers", "Dentist", "Orthodontics and Dentofacial Orthopedics"),
      TaxonomyData.new('261QA0006X', "Ambulatory Health Care Facilities", "Clinic/Center", "Ambulatory Fertility Facility"),
      TaxonomyData.new('246QB0000X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Pathology", "Blood Banking"),
      TaxonomyData.new('261QR0400X', "Ambulatory Health Care Facilities", "Clinic/Center", "Rehabilitation"),
      TaxonomyData.new('163WN0300X', "Nursing Service Providers", "Registered Nurse", "Nephrology"),
      TaxonomyData.new('2279S1500X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered", "SNF/Subacute Care"),
      TaxonomyData.new('364SC2300X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Chronic Care"),
      TaxonomyData.new('231HA2500X', "Speech, Language and Hearing Service Providers", "Audiologist", "Assistive Technology Supplier"),
      TaxonomyData.new('261QP0904X', "Ambulatory Health Care Facilities", "Clinic/Center", "Public Health, Federal"),
      TaxonomyData.new('364SF0001X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Family Health"),
      TaxonomyData.new('183500000X', "Pharmacy Service Providers", "Pharmacist"),
      TaxonomyData.new('204E00000X', "Allopathic & Osteopathic Physicians", "Oral & Maxillofacial Surgery"),
      TaxonomyData.new('2278H0200X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified", "Home Health"),
      TaxonomyData.new('3418M1120X', "Transportation Services", "Military/U.S. Coast Guard Transport", "Military or U.S. Coast Guard Ambulance, Air Transport"),
      TaxonomyData.new('2083T0002X', "Allopathic & Osteopathic Physicians", "Preventive Medicine", "Medical Toxicology"),
      TaxonomyData.new('2471N0900X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist", "Nuclear Medicine Technology"),
      TaxonomyData.new('124Q00000X', "Dental Providers", "Dental Hygienist"),
      TaxonomyData.new('163WH0200X', "Nursing Service Providers", "Registered Nurse", "Home Health"),
      TaxonomyData.new('2080T0002X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Medical Toxicology"),
      TaxonomyData.new('2278P1004X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified", "Pulmonary Diagnostics"),
      TaxonomyData.new('261QM1101X', "Ambulatory Health Care Facilities", "Clinic/Center", "Military and U.S. Coast Guard Ambulatory Procedure"),
      TaxonomyData.new('2084P0015X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Psychosomatic Medicine"),
      TaxonomyData.new('261QR0405X', "Ambulatory Health Care Facilities", "Clinic/Center", "Rehabilitation, Substance Use Disorder"),
      TaxonomyData.new('246YC3302X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Health Info", "Coding Specialist, Physician Office Based"),
      TaxonomyData.new('2081N0008X', "Allopathic & Osteopathic Physicians", "Physical Medicine & Rehabilitation", "Neuromuscular Medicine"),
      TaxonomyData.new('225XE1200X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapist", "Ergonomics"),
      TaxonomyData.new('103GC0700X', "Behavioral Health & Social Service Providers", "Clinical Neuropsychologist", "Clinical"),
      TaxonomyData.new('171W00000X', "Other Service Providers", "Contractor"),
      TaxonomyData.new('2865X1600X', "Hospitals", "Military Hospital", "Military General Acute Care Hospital. Operational (Transportable)"),
      TaxonomyData.new('372600000X', "Nursing Service Related Providers", "Adult Companion"),
      TaxonomyData.new('204C00000X', "Allopathic & Osteopathic Physicians", "Neuromusculoskeletal Medicine, Sports Medicine"),
      TaxonomyData.new('343800000X', "Transportation Services", "Secured Medical Transport (VAN)"),
      TaxonomyData.new('207RN0300X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Nephrology"),
      TaxonomyData.new('343900000X', "Transportation Services", "Non-emergency Medical Transport (VAN)"),
      TaxonomyData.new('208100000X', "Allopathic & Osteopathic Physicians", "Physical Medicine & Rehabilitation"),
      TaxonomyData.new('363L00000X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner"),
      TaxonomyData.new('246ZG0701X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other", "Graphics Methods"),
      TaxonomyData.new('311ZA0620X', "Nursing & Custodial Care Facilities", "Custodial Care Facility", "Adult Care Home"),
      TaxonomyData.new('207PE0005X', "Allopathic & Osteopathic Physicians", "Emergency Medicine", "Undersea and Hyperbaric Medicine"),
      TaxonomyData.new('252Y00000X', "Agencies", "Early Intervention Provider Agency"),
      TaxonomyData.new('111NI0013X', "Chiropractic Providers", "Chiropractor", "Independent Medical Examiner"),
      TaxonomyData.new('163W00000X', "Nursing Service Providers", "Registered Nurse"),
      TaxonomyData.new('224Z00000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapy Assistant"),
      TaxonomyData.new('2278S1500X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified", "SNF/Subacute Care"),
      TaxonomyData.new('207RG0300X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Geriatric Medicine"),
      TaxonomyData.new('103TF0000X', "Behavioral Health & Social Service Providers", "Psychologist", "Family"),
      TaxonomyData.new('390200000X', "Student, Health Care", "Student in an Organized Health Care Education/Training Program"),
      TaxonomyData.new('163WS0200X', "Nursing Service Providers", "Registered Nurse", "School"),
      TaxonomyData.new('246ZS0400X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other", "Surgical"),
      TaxonomyData.new('225000000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Orthotics/Prosthetics Fitter"),
      TaxonomyData.new('222Z00000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Orthotist"),
      TaxonomyData.new('1223P0300X', "Dental Providers", "Dentist", "Periodontics"),
      TaxonomyData.new('103TW0100X', "Behavioral Health & Social Service Providers", "Psychologist", "Women"),
      TaxonomyData.new('207VX0000X', "Allopathic & Osteopathic Physicians", "Obstetrics & Gynecology", "Obstetrics"),
      TaxonomyData.new('225800000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Recreation Therapist"),
      TaxonomyData.new('207RI0001X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Clinical & Laboratory Immunology"),
      TaxonomyData.new('207K00000X', "Allopathic & Osteopathic Physicians", "Allergy & Immunology"),
      TaxonomyData.new('2251E1300X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Physical Therapist", "Electrophysiology, Clinical"),
      TaxonomyData.new('282N00000X', "Hospitals", "General Acute Care Hospital"),
      TaxonomyData.new('251B00000X', "Agencies", "Case Management"),
      TaxonomyData.new('261QD0000X', "Ambulatory Health Care Facilities", "Clinic/Center", "Dental"),
      TaxonomyData.new('2080P0216X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Pediatric Rheumatology"),
      TaxonomyData.new('1223G0001X', "Dental Providers", "Dentist", "General Practice"),
      TaxonomyData.new('163WX0601X', "Nursing Service Providers", "Registered Nurse", "Otorhinolaryngology & Head-Neck"),
      TaxonomyData.new('163WI0500X', "Nursing Service Providers", "Registered Nurse", "Infusion Therapy"),
      TaxonomyData.new('363LP0808X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Psych/Mental Health"),
      TaxonomyData.new('251E00000X', "Agencies", "Home Health"),
      TaxonomyData.new('207ZD0900X', "Allopathic & Osteopathic Physicians", "Pathology", "Dermatopathology"),
      TaxonomyData.new('261QA0005X', "Ambulatory Health Care Facilities", "Clinic/Center", "Ambulatory Family Planning Facility"),
      TaxonomyData.new('261QI0500X', "Ambulatory Health Care Facilities", "Clinic/Center", "Infusion Therapy"),
      TaxonomyData.new('2251S0007X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Physical Therapist", "Sports"),
      TaxonomyData.new('163WP0000X', "Nursing Service Providers", "Registered Nurse", "Pain Management"),
      TaxonomyData.new('347B00000X', "Transportation Services", "Bus"),
      TaxonomyData.new('282J00000X', "Hospitals", "Religious Nonmedical Health Care Institution"),
      TaxonomyData.new('261QP3300X', "Ambulatory Health Care Facilities", "Clinic/Center", "Pain"),
      TaxonomyData.new('246QH0600X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Pathology", "Histology"),
      TaxonomyData.new('133N00000X', "Dietary & Nutritional Service Providers", "Nutritionist"),
      TaxonomyData.new('207RH0000X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Hematology"),
      TaxonomyData.new('246ZG1000X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other", "Geneticist, Medical (PhD)"),
      TaxonomyData.new('246ZB0600X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other", "Biostatistician"),
      TaxonomyData.new('251G00000X', "Agencies", "Hospice Care, Community Based"),
      TaxonomyData.new('1744P3200X', "Other Service Providers", "Specialist", "Prosthetics Case Management"),
      TaxonomyData.new('193200000X', "Group", "Multi-Specialty"),
      TaxonomyData.new('2086S0105X', "Allopathic & Osteopathic Physicians", "Surgery", "Surgery of the Hand"),
      TaxonomyData.new('111NX0100X', "Chiropractic Providers", "Chiropractor", "Occupational Health"),
      TaxonomyData.new('246ZC0007X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other", "Certified First Assistant"),
      TaxonomyData.new('363LX0106X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Occupational Health"),
      TaxonomyData.new('385HR2060X', "Respite Care Facility", "Respite Care", "Respite Care, Mental Retardation and/or Developmental Disabilities, Child"),
      TaxonomyData.new('2278C0205X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified", "Critical Care"),
      TaxonomyData.new('261QR0200X', "Ambulatory Health Care Facilities", "Clinic/Center", "Radiology"),
      TaxonomyData.new('174H00000X', "Other Service Providers", "Health Educator"),
      TaxonomyData.new('202C00000X', "Allopathic & Osteopathic Physicians", "Independent Medical Examiner"),
      TaxonomyData.new('2080P0204X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Pediatric Emergency Medicine"),
      TaxonomyData.new('246QM0706X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Pathology", "Medical Technologist"),
      TaxonomyData.new('207VB0002X', "Allopathic & Osteopathic Physicians", "Obstetrics & Gynecology", "Bariatric Medicine"),
      TaxonomyData.new('225XH1300X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapist", "Human Factors"),
      TaxonomyData.new('164X00000X', "Nursing Service Providers", "Licensed Vocational Nurse"),
      TaxonomyData.new('2084P0805X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Geriatric Psychiatry"),
      TaxonomyData.new('2251G0304X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Physical Therapist", "Geriatrics"),
      TaxonomyData.new('2084B0002X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Bariatric Medicine"),
      TaxonomyData.new('332100000X', "Suppliers", "Department of Veterans Affairs (VA) Pharmacy"),
      TaxonomyData.new('261QP2400X', "Ambulatory Health Care Facilities", "Clinic/Center", "Prison Health"),
      TaxonomyData.new('207LH0002X', "Allopathic & Osteopathic Physicians", "Anesthesiology", "Hospice and Palliative Medicine"),
      TaxonomyData.new('261QR0208X', "Ambulatory Health Care Facilities", "Clinic/Center", "Radiology, Mobile"),
      TaxonomyData.new('332BD1200X', "Suppliers", "Durable Medical Equipment & Medical Supplies", "Dialysis Equipment & Supplies"),
      TaxonomyData.new('276400000X', "Hospital Units", "Rehabilitation, Substance Use Disorder Unit"),
      TaxonomyData.new('208G00000X', "Allopathic & Osteopathic Physicians", "Thoracic Surgery (Cardiothoracic Vascular Surgery)"),
      TaxonomyData.new('225XE0001X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapist", "Environmental Modification"),
      TaxonomyData.new('208VP0014X', "Allopathic & Osteopathic Physicians", "Pain Medicine", "Interventional Pain Medicine"),
      TaxonomyData.new('2471M2300X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist", "Mammography"),
      TaxonomyData.new('207RE0101X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Endocrinology, Diabetes & Metabolism"),
      TaxonomyData.new('207ND0101X', "Allopathic & Osteopathic Physicians", "Dermatology", "MOHS-Micrographic Surgery"),
      TaxonomyData.new('2251P0200X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Physical Therapist", "Pediatrics"),
      TaxonomyData.new('246ZA2600X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other", "Art, Medical"),
      TaxonomyData.new('1744R1103X', "Other Service Providers", "Specialist", "Research Data Abstracter/Coder"),
      TaxonomyData.new('2471S1302X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist", "Sonography"),
      TaxonomyData.new('246RM2200X', "Technologists, Technicians & Other Technical Service Providers", "Technician, Pathology", "Medical Laboratory"),
      TaxonomyData.new('364S00000X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist"),
      TaxonomyData.new('261Q00000X', "Ambulatory Health Care Facilities", "Clinic/Center"),
      TaxonomyData.new('225XL0004X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapist", "Low Vision"),
      TaxonomyData.new('163WE0003X', "Nursing Service Providers", "Registered Nurse", "Emergency"),
      TaxonomyData.new('363AM0700X', "Physician Assistants & Advanced Practice Nursing Providers", "Physician Assistant", "Medical"),
      TaxonomyData.new('3416A0800X', "Transportation Services", "Ambulance", "Air Transport"),
      TaxonomyData.new('171100000X', "Other Service Providers", "Acupuncturist"),
      TaxonomyData.new('310500000X', "Nursing & Custodial Care Facilities", "Intermediate Care Facility, Mental Illness"),
      TaxonomyData.new('261QR0401X', "Ambulatory Health Care Facilities", "Clinic/Center", "Rehabilitation, Comprehensive Outpatient Rehabilitation Facility (CORF)"),
      TaxonomyData.new('332000000X', "Suppliers", "Military/U.S. Coast Guard Pharmacy"),
      TaxonomyData.new('2278E1000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified", "Educational"),
      TaxonomyData.new('1710I1003X', "Other Service Providers", "Military Health Care Provider", "Independent Duty Medical Technicians"),
      TaxonomyData.new('261QS0132X', "Ambulatory Health Care Facilities", "Clinic/Center", "Ophthalmologic Surgery"),
      TaxonomyData.new('225X00000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapist"),
      TaxonomyData.new('242T00000X', "Technologists, Technicians & Other Technical Service Providers", "Perfusionist"),
      TaxonomyData.new('1041C0700X', "Behavioral Health & Social Service Providers", "Social Worker", "Clinical"),
      TaxonomyData.new('172P00000X', "Other Service Providers", "Naprapath"),
      TaxonomyData.new('2085R0203X', "Allopathic & Osteopathic Physicians", "Radiology", "Therapeutic Radiology"),
      TaxonomyData.new('207RI0200X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Infectious Disease"),
      TaxonomyData.new('111NP0017X', "Chiropractic Providers", "Chiropractor", "Pediatric Chiropractor"),
      TaxonomyData.new('2081P0004X', "Allopathic & Osteopathic Physicians", "Physical Medicine & Rehabilitation", "Spinal Cord Injury Medicine"),
      TaxonomyData.new('163WF0300X', "Nursing Service Providers", "Registered Nurse", "Flight"),
      TaxonomyData.new('2084N0400X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Neurology"),
      TaxonomyData.new('2084F0202X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Forensic Psychiatry"),
      TaxonomyData.new('2084P0802X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Addiction Psychiatry"),
      TaxonomyData.new('163WM0102X', "Nursing Service Providers", "Registered Nurse", "Maternal Newborn"),
      TaxonomyData.new('167G00000X', "Nursing Service Providers", "Licensed Psychiatric Technician"),
      TaxonomyData.new('247100000X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist"),
      TaxonomyData.new('286500000X', "Hospitals", "Military Hospital"),
      TaxonomyData.new('163WA2000X', "Nursing Service Providers", "Registered Nurse", "Administrator"),
      TaxonomyData.new('163WP0807X', "Nursing Service Providers", "Registered Nurse", "Psych/Mental Health, Child & Adolescent"),
      TaxonomyData.new('111NI0900X', "Chiropractic Providers", "Chiropractor", "Internist"),
      TaxonomyData.new('163WP0809X', "Nursing Service Providers", "Registered Nurse", "Psych/Mental Health, Adult"),
      TaxonomyData.new('305R00000X', "Managed Care Organizations", "Preferred Provider Organization"),
      TaxonomyData.new('364SP0200X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Pediatrics"),
      TaxonomyData.new('133V00000X', "Dietary & Nutritional Service Providers", "Dietitian, Registered"),
      TaxonomyData.new('103TC0700X', "Behavioral Health & Social Service Providers", "Psychologist", "Clinical"),
      TaxonomyData.new('261QM0801X', "Ambulatory Health Care Facilities", "Clinic/Center", "Mental Health (Including Community Mental Health Center)"),
      TaxonomyData.new('170100000X', "Other Service Providers", "Medical Genetics, Ph.D. Medical Genetics"),
      TaxonomyData.new('2083A0100X', "Allopathic & Osteopathic Physicians", "Preventive Medicine", "Aerospace Medicine"),
      TaxonomyData.new('1835P1300X', "Pharmacy Service Providers", "Pharmacist", "Psychiatric"),
      TaxonomyData.new('310400000X', "Nursing & Custodial Care Facilities", "Assisted Living Facility"),
      TaxonomyData.new('374J00000X', "Nursing Service Related Providers", "Doula"),
      TaxonomyData.new('2084N0402X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Neurology with Special Qualifications in Child Neurology"),
      TaxonomyData.new('363LF0000X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Family"),
      TaxonomyData.new('2080S0010X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Sports Medicine"),
      TaxonomyData.new('2278P3900X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified", "Neonatal/Pediatrics"),
      TaxonomyData.new('104100000X', "Behavioral Health & Social Service Providers", "Social Worker"),
      TaxonomyData.new('2279E0002X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered", "Emergency Care"),
      TaxonomyData.new('364SX0200X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Oncology"),
      TaxonomyData.new('261QL0400X', "Ambulatory Health Care Facilities", "Clinic/Center", "Lithotripsy"),
      TaxonomyData.new('133NN1002X', "Dietary & Nutritional Service Providers", "Nutritionist", "Nutrition, Education"),
      TaxonomyData.new('2086S0122X', "Allopathic & Osteopathic Physicians", "Surgery", "Plastic and Reconstructive Surgery"),
      TaxonomyData.new('207NI0002X', "Allopathic & Osteopathic Physicians", "Dermatology", "Clinical & Laboratory Dermatological Immunology"),
      TaxonomyData.new('364SG0600X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Gerontology"),
      TaxonomyData.new('213EP1101X', "Podiatric Medicine & Surgery Service Providers", "Podiatrist", "Primary Podiatric Medicine"),
      TaxonomyData.new('261QA0900X', "Ambulatory Health Care Facilities", "Clinic/Center", "Amputee"),
      TaxonomyData.new('2278G1100X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified", "General Care"),
      TaxonomyData.new('302R00000X', "Managed Care Organizations", "Health Maintenance Organization"),
      TaxonomyData.new('207SG0202X', "Allopathic & Osteopathic Physicians", "Medical Genetics", "Clinical Biochemical Genetics"),
      TaxonomyData.new('261QU0200X', "Ambulatory Health Care Facilities", "Clinic/Center", "Urgent Care"),
      TaxonomyData.new('376J00000X', "Nursing Service Related Providers", "Homemaker"),
      TaxonomyData.new('2080C0008X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Child Abuse Pediatrics"),
      TaxonomyData.new('207ZP0105X', "Allopathic & Osteopathic Physicians", "Pathology", "Clinical Pathology/Laboratory Medicine"),
      TaxonomyData.new('102L00000X', "Behavioral Health & Social Service Providers", "Psychoanalyst"),
      TaxonomyData.new('364SA2200X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Adult Health"),
      TaxonomyData.new('103K00000X', "Behavioral Health & Social Service Providers", "Behavioral Analyst"),
      TaxonomyData.new('221700000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Art Therapist"),
      TaxonomyData.new('364SR0400X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Rehabilitation"),
      TaxonomyData.new('2085H0002X', "Allopathic & Osteopathic Physicians", "Radiology", "Hospice and Palliative Medicine"),
      TaxonomyData.new('171M00000X', "Other Service Providers", "Case Manager/Care Coordinator"),
      TaxonomyData.new('208M00000X', "Allopathic & Osteopathic Physicians", "Hospitalist"),
      TaxonomyData.new('152W00000X', "Eye and Vision Services Providers", "Optometrist"),
      TaxonomyData.new('364SP0812X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Psych/Mental Health, Community"),
      TaxonomyData.new('2080P0203X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Pediatric Critical Care Medicine"),
      TaxonomyData.new('103TS0200X', "Behavioral Health & Social Service Providers", "Psychologist", "School"),
      TaxonomyData.new('246QC1000X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Pathology", "Chemistry"),
      TaxonomyData.new('2080P0202X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Pediatric Cardiology"),
      TaxonomyData.new('332B00000X', "Suppliers", "Durable Medical Equipment & Medical Supplies"),
      TaxonomyData.new('320900000X', "Residential Treatment Facilities", "Community Based Residential Treatment, Mental Retardation and/or Developmental Disabilities"),
      TaxonomyData.new('225400000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Rehabilitation Practitioner"),
      TaxonomyData.new('208D00000X', "Allopathic & Osteopathic Physicians", "General Practice"),
      TaxonomyData.new('207ZP0102X', "Allopathic & Osteopathic Physicians", "Pathology", "Anatomic Pathology & Clinical Pathology"),
      TaxonomyData.new('261QM2800X', "Ambulatory Health Care Facilities", "Clinic/Center", "Methadone Clinic"),
      TaxonomyData.new('261QE0700X', "Ambulatory Health Care Facilities", "Clinic/Center", "End-Stage Renal Disease (ESRD) Treatment"),
      TaxonomyData.new('3418M1110X', "Transportation Services", "Military/U.S. Coast Guard Transport", "Military or U.S. Coast Guard Ambulance, Ground Transport"),
      TaxonomyData.new('2278P1006X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified", "Pulmonary Function Technologist"),
      TaxonomyData.new('224ZR0403X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapy Assistant", "Driving and Community Mobility"),
      TaxonomyData.new('2279P1006X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered", "Pulmonary Function Technologist"),
      TaxonomyData.new('282E00000X', "Hospitals", "Long Term Care Hospital"),
      TaxonomyData.new('3336C0003X', "Suppliers", "Pharmacy", "Community/Retail Pharmacy"),
      TaxonomyData.new('246QL0900X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Pathology", "Laboratory Management"),
      TaxonomyData.new('207RS0010X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Sports Medicine"),
      TaxonomyData.new('246XC2901X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Cardiovascular", "Cardiovascular Invasive Specialist"),
      TaxonomyData.new('207YX0905X', "Allopathic & Osteopathic Physicians", "Otolaryngology", "Otolaryngology/Facial Plastic Surgery"),
      TaxonomyData.new('3416L0300X', "Transportation Services", "Ambulance", "Land Transport"),
      TaxonomyData.new('207XS0117X', "Allopathic & Osteopathic Physicians", "Orthopaedic Surgery", "Orthopaedic Surgery of the Spine"),
      TaxonomyData.new('208800000X', "Allopathic & Osteopathic Physicians", "Urology"),
      TaxonomyData.new('146M00000X', "Emergency Medical Service Providers", "Emergency Medical Technician, Intermediate"),
      TaxonomyData.new('282NC2000X', "Hospitals", "General Acute Care Hospital", "Children"),
      TaxonomyData.new('2084D0003X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Diagnostic Neuroimaging"),
      TaxonomyData.new('163WR0006X', "Nursing Service Providers", "Registered Nurse", "Registered Nurse First Assistant"),
      TaxonomyData.new('251X00000X', "Agencies", "Supports Brokerage"),
      TaxonomyData.new('207PH0002X', "Allopathic & Osteopathic Physicians", "Emergency Medicine", "Hospice and Palliative Medicine"),
      TaxonomyData.new('101YP2500X', "Behavioral Health & Social Service Providers", "Counselor", "Professional"),
      TaxonomyData.new('261QM1300X', "Ambulatory Health Care Facilities", "Clinic/Center", "Multi-Specialty"),
      TaxonomyData.new('207UN0902X', "Allopathic & Osteopathic Physicians", "Nuclear Medicine", "Nuclear Imaging & Therapy"),
      TaxonomyData.new('207RM1200X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Magnetic Resonance Imaging (MRI)"),
      TaxonomyData.new('1041S0200X', "Behavioral Health & Social Service Providers", "Social Worker", "School"),
      TaxonomyData.new('207Q00000X', "Allopathic & Osteopathic Physicians", "Family Medicine"),
      TaxonomyData.new('172A00000X', "Other Service Providers", "Driver"),
      TaxonomyData.new('163WC0200X', "Nursing Service Providers", "Registered Nurse", "Critical Care Medicine"),
      TaxonomyData.new('261QS0112X', "Ambulatory Health Care Facilities", "Clinic/Center", "Oral and Maxillofacial Surgery"),
      TaxonomyData.new('225XP0019X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapist", "Physical Rehabilitation"),
      TaxonomyData.new('253Z00000X', "Agencies", "In Home Supportive Care"),
      TaxonomyData.new('332G00000X', "Suppliers", "Eye Bank"),
      TaxonomyData.new('171R00000X', "Other Service Providers", "Interpreter"),
      TaxonomyData.new('3336M0003X', "Suppliers", "Pharmacy", "Managed Care Organization Pharmacy"),
      TaxonomyData.new('2085N0904X', "Allopathic & Osteopathic Physicians", "Radiology", "Nuclear Radiology"),
      TaxonomyData.new('156FC0800X', "Eye and Vision Services Providers", "Technician/Technologist", "Contact Lens"),
      TaxonomyData.new('163WR0400X', "Nursing Service Providers", "Registered Nurse", "Rehabilitation"),
      TaxonomyData.new('261QR1100X', "Ambulatory Health Care Facilities", "Clinic/Center", "Research"),
      TaxonomyData.new('207ZN0500X', "Allopathic & Osteopathic Physicians", "Pathology", "Neuropathology"),
      TaxonomyData.new('283X00000X', "Hospitals", "Rehabilitation Hospital"),
      TaxonomyData.new('2080P0008X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Neurodevelopmental Disabilities"),
      TaxonomyData.new('261QM0850X', "Ambulatory Health Care Facilities", "Clinic/Center", "Adult Mental Health"),
      TaxonomyData.new('311500000X', "Nursing & Custodial Care Facilities", "Alzheimer Center (Dementia Center)"),
      TaxonomyData.new('208VP0000X', "Allopathic & Osteopathic Physicians", "Pain Medicine", "Pain Medicine"),
      TaxonomyData.new('2279P3900X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Registered", "Neonatal/Pediatrics"),
      TaxonomyData.new('213E00000X', "Podiatric Medicine & Surgery Service Providers", "Podiatrist"),
      TaxonomyData.new('320700000X', "Residential Treatment Facilities", "Residential Treatment Facility, Physical Disabilities"),
      TaxonomyData.new('207KA0200X', "Allopathic & Osteopathic Physicians", "Allergy & Immunology", "Allergy"),
      TaxonomyData.new('207SG0201X', "Allopathic & Osteopathic Physicians", "Medical Genetics", "Clinical Genetics (M.D.)"),
      TaxonomyData.new('2084A0401X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Addiction Medicine"),
      TaxonomyData.new('231HA2400X', "Speech, Language and Hearing Service Providers", "Audiologist", "Assistive Technology Practitioner"),
      TaxonomyData.new('207ND0900X', "Allopathic & Osteopathic Physicians", "Dermatology", "Dermatopathology"),
      TaxonomyData.new('224ZE0001X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapy Assistant", "Environmental Modification"),
      TaxonomyData.new('146N00000X', "Emergency Medical Service Providers", "Emergency Medical Technician, Basic"),
      TaxonomyData.new('175F00000X', "Other Service Providers", "Naturopath"),
      TaxonomyData.new('364SH1100X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Holistic"),
      TaxonomyData.new('335E00000X', "Suppliers", "Prosthetic/Orthotic Supplier"),
      TaxonomyData.new('207YP0228X', "Allopathic & Osteopathic Physicians", "Otolaryngology", "Pediatric Otolaryngology"),
      TaxonomyData.new('207VE0102X', "Allopathic & Osteopathic Physicians", "Obstetrics & Gynecology", "Reproductive Endocrinology"),
      TaxonomyData.new('103T00000X', "Behavioral Health & Social Service Providers", "Psychologist"),
      TaxonomyData.new('207SG0203X', "Allopathic & Osteopathic Physicians", "Medical Genetics", "Clinical Molecular Genetics"),
      TaxonomyData.new('2085R0001X', "Allopathic & Osteopathic Physicians", "Radiology", "Radiation Oncology"),
      TaxonomyData.new('2080P0208X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Pediatric Infectious Diseases"),
      TaxonomyData.new('2085D0003X', "Allopathic & Osteopathic Physicians", "Radiology", "Diagnostic Neuroimaging"),
      TaxonomyData.new('208200000X', "Allopathic & Osteopathic Physicians", "Plastic Surgery"),
      TaxonomyData.new('152WS0006X', "Eye and Vision Services Providers", "Optometrist", "Sports Vision"),
      TaxonomyData.new('152WX0102X', "Eye and Vision Services Providers", "Optometrist", "Occupational Vision"),
      TaxonomyData.new('261QF0050X', "Ambulatory Health Care Facilities", "Clinic/Center", "Family Planning, Non-Surgical"),
      TaxonomyData.new('207PT0002X', "Allopathic & Osteopathic Physicians", "Emergency Medicine", "Medical Toxicology"),
      TaxonomyData.new('163WH0500X', "Nursing Service Providers", "Registered Nurse", "Hemodialysis"),
      TaxonomyData.new('332900000X', "Suppliers", "Non-Pharmacy Dispensing Site"),
      TaxonomyData.new('2086H0002X', "Allopathic & Osteopathic Physicians", "Surgery", "Hospice and Palliative Medicine"),
      TaxonomyData.new('207RC0001X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Clinical Cardiac Electrophysiology"),
      TaxonomyData.new('207NS0135X', "Allopathic & Osteopathic Physicians", "Dermatology", "Procedural Dermatology"),
      TaxonomyData.new('261QM1200X', "Ambulatory Health Care Facilities", "Clinic/Center", "Magnetic Resonance Imaging (MRI)"),
      TaxonomyData.new('261QR0800X', "Ambulatory Health Care Facilities", "Clinic/Center", "Recovery Care"),
      TaxonomyData.new('225B00000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Pulmonary Function Technologist"),
      TaxonomyData.new('103TH0004X', "Behavioral Health & Social Service Providers", "Psychologist", "Health"),
      TaxonomyData.new('207U00000X', "Allopathic & Osteopathic Physicians", "Nuclear Medicine"),
      TaxonomyData.new('207W00000X', "Allopathic & Osteopathic Physicians", "Ophthalmology"),
      TaxonomyData.new('225XN1300X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Occupational Therapist", "Neurorehabilitation"),
      TaxonomyData.new('3747A0650X', "Nursing Service Related Providers", "Technician", "Attendant Care Provider"),
      TaxonomyData.new('207QS1201X', "Allopathic & Osteopathic Physicians", "Family Medicine", "Sleep Medicine"),
      TaxonomyData.new('111NR0200X', "Chiropractic Providers", "Chiropractor", "Radiology"),
      TaxonomyData.new('2084P0005X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Neurodevelopmental Disabilities"),
      TaxonomyData.new('103TC2200X', "Behavioral Health & Social Service Providers", "Psychologist", "Clinical Child & Adolescent"),
      TaxonomyData.new('363LP1700X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Perinatal"),
      TaxonomyData.new('207RC0000X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Cardiovascular Disease"),
      TaxonomyData.new('2080I0007X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Clinical & Laboratory Immunology"),
      TaxonomyData.new('273R00000X', "Hospital Units", "Psychiatric Unit"),
      TaxonomyData.new('207RC0200X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Critical Care Medicine"),
      TaxonomyData.new('2080P0207X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Pediatric Hematology-Oncology"),
      TaxonomyData.new('207ZB0001X', "Allopathic & Osteopathic Physicians", "Pathology", "Blood Banking & Transfusion Medicine"),
      TaxonomyData.new('305S00000X', "Managed Care Organizations", "Point of Service"),
      TaxonomyData.new('3336C0004X', "Suppliers", "Pharmacy", "Compounding Pharmacy"),
      TaxonomyData.new('207ZM0300X', "Allopathic & Osteopathic Physicians", "Pathology", "Medical Microbiology"),
      TaxonomyData.new('171WV0202X', "Other Service Providers", "Contractor", "Vehicle Modifications"),
      TaxonomyData.new('2471V0106X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist", "Vascular-Interventional Technology"),
      TaxonomyData.new('146L00000X', "Emergency Medical Service Providers", "Emergency Medical Technician, Paramedic"),
      TaxonomyData.new('247000000X', "Technologists, Technicians & Other Technical Service Providers", "Technician, Health Information"),
      TaxonomyData.new('226300000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Kinesiotherapist"),
      TaxonomyData.new('225600000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Dance Therapist"),
      TaxonomyData.new('2084V0102X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Vascular Neurology"),
      TaxonomyData.new('207RX0202X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Medical Oncology"),
      TaxonomyData.new('207LP2900X', "Allopathic & Osteopathic Physicians", "Anesthesiology", "Pain Medicine"),
      TaxonomyData.new('363LN0005X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Neonatal, Critical Care"),
      TaxonomyData.new('364SN0800X', "Physician Assistants & Advanced Practice Nursing Providers", "Clinical Nurse Specialist", "Neuroscience"),
      TaxonomyData.new('332BP3500X', "Suppliers", "Durable Medical Equipment & Medical Supplies", "Parenteral & Enteral Nutrition"),
      TaxonomyData.new('152WV0400X', "Eye and Vision Services Providers", "Optometrist", "Vision Therapy"),
      TaxonomyData.new('3336H0001X', "Suppliers", "Pharmacy", "Home Infusion Therapy Pharmacy"),
      TaxonomyData.new('2471C3402X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist", "Radiography"),
      TaxonomyData.new('207SC0300X', "Allopathic & Osteopathic Physicians", "Medical Genetics", "Clinical Cytogenetic"),
      TaxonomyData.new('281PC2000X', "Hospitals", "Chronic Disease Hospital", "Children"),
      TaxonomyData.new('207KI0005X', "Allopathic & Osteopathic Physicians", "Allergy & Immunology", "Clinical & Laboratory Immunology"),
      TaxonomyData.new('163WC0400X', "Nursing Service Providers", "Registered Nurse", "Case Management"),
      TaxonomyData.new('170300000X', "Other Service Providers", "Genetic Counselor, MS"),
      TaxonomyData.new('2086S0120X', "Allopathic & Osteopathic Physicians", "Surgery", "Pediatric Surgery"),
      TaxonomyData.new('2472R0900X', "Technologists, Technicians & Other Technical Service Providers", "Technician, Other", "Renal Dialysis"),
      TaxonomyData.new('163WN0003X', "Nursing Service Providers", "Registered Nurse", "Neonatal, Low-Risk"),
      TaxonomyData.new('207ZF0201X', "Allopathic & Osteopathic Physicians", "Pathology", "Forensic Pathology"),
      TaxonomyData.new('163WM0705X', "Nursing Service Providers", "Registered Nurse", "Medical-Surgical"),
      TaxonomyData.new('261QP2000X', "Ambulatory Health Care Facilities", "Clinic/Center", "Physical Therapy"),
      TaxonomyData.new('2251C2600X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Physical Therapist", "Cardiopulmonary"),
      TaxonomyData.new('207X00000X', "Allopathic & Osteopathic Physicians", "Orthopaedic Surgery"),
      TaxonomyData.new('3416S0300X', "Transportation Services", "Ambulance", "Water Transport"),
      TaxonomyData.new('2471C1106X', "Technologists, Technicians & Other Technical Service Providers", "Radiologic Technologist", "Cardiac-Interventional Technology"),
      TaxonomyData.new('317400000X', "Nursing & Custodial Care Facilities", "Christian Science Facility"),
      TaxonomyData.new('1835N0905X', "Pharmacy Service Providers", "Pharmacist", "Nuclear"),
      TaxonomyData.new('2084N0600X', "Allopathic & Osteopathic Physicians", "Psychiatry & Neurology", "Clinical Neurophysiology"),
      TaxonomyData.new('111NN0400X', "Chiropractic Providers", "Chiropractor", "Neurology"),
      TaxonomyData.new('341800000X', "Transportation Services", "Military/U.S. Coast Guard Transport"),
      TaxonomyData.new('1835G0000X', "Pharmacy Service Providers", "Pharmacist", "General Practice"),
      TaxonomyData.new('2865M2000X', "Hospitals", "Military Hospital", "Military General Acute Care Hospital"),
      TaxonomyData.new('103TA0700X', "Behavioral Health & Social Service Providers", "Psychologist", "Adult Development & Aging"),
      TaxonomyData.new('163WW0000X', "Nursing Service Providers", "Registered Nurse", "Wound Care"),
      TaxonomyData.new('246QM0900X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Pathology", "Microbiology"),
      TaxonomyData.new('251F00000X', "Agencies", "Home Infusion"),
      TaxonomyData.new('292200000X', "Laboratories", "Dental Laboratory"),
      TaxonomyData.new('376K00000X', "Nursing Service Related Providers", "Nurse's Aide"),
      TaxonomyData.new('156FX1202X', "Eye and Vision Services Providers", "Technician/Technologist", "Optometric Technician"),
      TaxonomyData.new('246Q00000X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Pathology"),
      TaxonomyData.new('2472E0500X', "Technologists, Technicians & Other Technical Service Providers", "Technician, Other", "EEG"),
      TaxonomyData.new('3336M0002X', "Suppliers", "Pharmacy", "Mail Order Pharmacy"),
      TaxonomyData.new('261QP1100X', "Ambulatory Health Care Facilities", "Clinic/Center", "Podiatric"),
      TaxonomyData.new('2865C1500X', "Hospitals", "Military Hospital", "Community Health"),
      TaxonomyData.new('314000000X', "Nursing & Custodial Care Facilities", "Skilled Nursing Facility"),
      TaxonomyData.new('385HR2050X', "Respite Care Facility", "Respite Care", "Respite Care Camp"),
      TaxonomyData.new('207QG0300X', "Allopathic & Osteopathic Physicians", "Family Medicine", "Geriatric Medicine"),
      TaxonomyData.new('163WC1600X', "Nursing Service Providers", "Registered Nurse", "Continuing Education/Staff Development"),
      TaxonomyData.new('283Q00000X', "Hospitals", "Psychiatric Hospital"),
      TaxonomyData.new('2472D0500X', "Technologists, Technicians & Other Technical Service Providers", "Technician, Other", "Darkroom"),
      TaxonomyData.new('163WX1500X', "Nursing Service Providers", "Registered Nurse", "Ostomy Care"),
      TaxonomyData.new('204F00000X', "Allopathic & Osteopathic Physicians", "Transplant Surgery"),
      TaxonomyData.new('246Y00000X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Health Info"),
      TaxonomyData.new('204D00000X', "Allopathic & Osteopathic Physicians", "Neuromusculoskeletal Medicine & OMM"),
      TaxonomyData.new('173C00000X', "Other Service Providers", "Reflexologist"),
      TaxonomyData.new('261QP0905X', "Ambulatory Health Care Facilities", "Clinic/Center", "Public Health, State or Local"),
      TaxonomyData.new('367500000X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Anesthetist, Certified Registered"),
      TaxonomyData.new('152WL0500X', "Eye and Vision Services Providers", "Optometrist", "Low Vision Rehabilitation"),
      TaxonomyData.new('2085U0001X', "Allopathic & Osteopathic Physicians", "Radiology", "Diagnostic Ultrasound"),
      TaxonomyData.new('261QC0050X', "Ambulatory Health Care Facilities", "Clinic/Center", "Critical Access Hospital"),
      TaxonomyData.new('207VX0201X', "Allopathic & Osteopathic Physicians", "Obstetrics & Gynecology", "Gynecologic Oncology"),
      TaxonomyData.new('251V00000X', "Agencies", "Voluntary or Charitable"),
      TaxonomyData.new('225200000X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Physical Therapy Assistant"),
      TaxonomyData.new('207YS0012X', "Allopathic & Osteopathic Physicians", "Otolaryngology", "Sleep Medicine"),
      TaxonomyData.new('3336I0012X', "Suppliers", "Pharmacy", "Institutional Pharmacy"),
      TaxonomyData.new('331L00000X', "Suppliers", "Blood Bank"),
      TaxonomyData.new('173000000X', "Other Service Providers", "Legal Medicine"),
      TaxonomyData.new('207SM0001X', "Allopathic & Osteopathic Physicians", "Medical Genetics", "Molecular Genetic Pathology"),
      TaxonomyData.new('2080P0205X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Pediatric Endocrinology"),
      TaxonomyData.new('133VN1005X', "Dietary & Nutritional Service Providers", "Dietitian, Registered", "Nutrition, Renal"),
      TaxonomyData.new('363LX0001X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Obstetrics & Gynecology"),
      TaxonomyData.new('246QI0000X', "Technologists, Technicians & Other Technical Service Providers", "Spec/Tech, Pathology", "Immunology"),
      TaxonomyData.new('246ZB0302X', "Technologists, Technicians & Other Technical Service Providers", "Specialist/Technologist, Other", "Biomedical Photographer"),
      TaxonomyData.new('103TP2700X', "Behavioral Health & Social Service Providers", "Psychologist", "Psychotherapy"),
      TaxonomyData.new('2081P0010X', "Allopathic & Osteopathic Physicians", "Physical Medicine & Rehabilitation", "Pediatric Rehabilitation Medicine"),
      TaxonomyData.new('261QV0200X', "Ambulatory Health Care Facilities", "Clinic/Center", "VA"),
      TaxonomyData.new('2251H1200X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Physical Therapist", "Hand"),
      TaxonomyData.new('2081P2900X', "Allopathic & Osteopathic Physicians", "Physical Medicine & Rehabilitation", "Pain Medicine"),
      TaxonomyData.new('347E00000X', "Transportation Services", "Transportation Broker"),
      TaxonomyData.new('163WP1700X', "Nursing Service Providers", "Registered Nurse", "Perinatal"),
      TaxonomyData.new('101YP1600X', "Behavioral Health & Social Service Providers", "Counselor", "Pastoral"),
      TaxonomyData.new('111NX0800X', "Chiropractic Providers", "Chiropractor", "Orthopedic"),
      TaxonomyData.new('2278P1005X', "Respiratory, Developmental, Rehabilitative and Restorative Service Providers", "Respiratory Therapist, Certified", "Pulmonary Rehabilitation"),
      TaxonomyData.new('363LA2200X', "Physician Assistants & Advanced Practice Nursing Providers", "Nurse Practitioner", "Adult Health"),
      TaxonomyData.new('202K00000X', "Allopathic & Osteopathic Physicians", "Phlebology"),
      TaxonomyData.new('261QM1103X', "Ambulatory Health Care Facilities", "Clinic/Center", "Military Ambulatory Procedure Visits Operational (Transportable)"),
      TaxonomyData.new('235500000X', "Speech, Language and Hearing Service Providers", "Specialist/Technologist"),
      TaxonomyData.new('213ES0131X', "Podiatric Medicine & Surgery Service Providers", "Podiatrist", "Foot Surgery"),
      TaxonomyData.new('103TM1800X', "Behavioral Health & Social Service Providers", "Psychologist", "Mental Retardation & Developmental Disabilities"),
      TaxonomyData.new('207XX0005X', "Allopathic & Osteopathic Physicians", "Orthopaedic Surgery", "Sports Medicine"),
      TaxonomyData.new('207RH0002X', "Allopathic & Osteopathic Physicians", "Internal Medicine", "Hospice and Palliative Medicine"),
      TaxonomyData.new('261QM3000X', "Ambulatory Health Care Facilities", "Clinic/Center", "Medically Fragile Infants and Children Day Care"),
      TaxonomyData.new('2080P0006X', "Allopathic & Osteopathic Physicians", "Pediatrics", "Developmental & Behavioral Pediatrics"),
      TaxonomyData.new('2082S0099X', "Allopathic & Osteopathic Physicians", "Plastic Surgery", "Plastic Surgery within the Head & Neck"),
    ]

    TAXONOMY_CODE = k TAXONOMY.map(&:code).uniq
    TAXONOMY_TYPE = k TAXONOMY.map(&:type).uniq
    TAXONOMY_SPECIALIZATION = k TAXONOMY.map(&:specialization).uniq.compact
    TAXONOMY_CLASSIFICATION = k TAXONOMY.map(&:classification).uniq
  end
end